import {enableProdMode} from '@angular/core';
import {platformBrowserDynamic} from '@angular/platform-browser-dynamic';

import {AppModule} from './app/app.module';
import {environment} from './environments/environment';

declare global {
    interface Window { __DEVMODE__: any; }
}
if (environment.production) {
    enableProdMode();
    window.__DEVMODE__ = false;
} else {
    window.__DEVMODE__ = true;
}

platformBrowserDynamic().bootstrapModule(AppModule)
    .catch(err => console.error(err));
